## org.apache.axis.ime.internal
Class SimpleMessageExchangeCorrelator

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.SimpleMessageExchangeCorrelator

All Implemented Interfaces:
  MessageExchangeCorrelator, java.io.Serializable

public class SimpleMessageExchangeCorrelator
extends java.lang.Object
implements MessageExchangeCorrelator

Used for correlating outbound/inbound messages. This class may be extended to allow for more complex Correlation mechanisms

Author:
  James M Snell (jasnell@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`static MessageExchangeCorrelator` `NULL_CORRELATOR`

Constructor Summary
`SimpleMessageExchangeCorrelator(java.lang.String identifier)`

Method Summary
`java.lang.String` `getIdentifier()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL_CORRELATOR

    public static final MessageExchangeCorrelator NULL_CORRELATOR

Constructor Detail

### SimpleMessageExchangeCorrelator

    public SimpleMessageExchangeCorrelator(java.lang.String identifier)

Method Detail

### getIdentifier

    public java.lang.String getIdentifier()

  Specified by:
    `getIdentifier` in interface `MessageExchangeCorrelator`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.